# Manuale dell'utente di &kde;

2010-10-06
K Desktop Environment
plasmaengineexplorer
1

# `plasmaengineexplorer`

Dà accesso diretto ai motori di dati di Plasma

    plasmaengineexplorer --list --height  pixel --width  pixel -x  pixel -y  pixel --engine  motore di dati --source  motore di dati --interval  ms --app  applicazione

    plasmaengineexplorer Opzioni generiche di KDE Opzioni generiche di Qt

## Descrizione

`plasmaengineexplorer` è uno strumento grafico che permette agli sviluppatori di testare i motori di dati di Plasma senza scrivere un programma di Plasma.

Se non vengono date opzioni, partirà senza alcun motore di dati selezionato. Il motore di dati richiesto può essere selezionato da una casella a cascata.

Saranno trovati solo i motori di dati installati. Potrebbe essere necessario eseguire `kbuildsycoca4` per far trovare i motori di dati appena installati.

## Opzioni

`--list pixel`

  Mostra l'elenco dei motori noti e la loro descrizione.

`--height`

  Imposta l'altezza della finestra, in pixel.

`--width pixel`

  Imposta la larghezza della finestra, in pixel.

`-x pixel`

  Imposta la coordinata x (orizzontale) dell'angolo in alto a sinistra della finestra, in pixel.

`-y pixel`

  Imposta la coordinata y (verticale) dell'angolo in alto a sinistra della finestra, in pixel.

`--engine motore di dati`

  Avvia `plasmaengineexplorer` con il motore di dati indicato selezionato. Il parametro `motore di dati` è il nome interno del motore di dati, indicato con la chiave `X-KDE-PluginInfo-Name` del file `.desktop`.

`--source motore di dati`

  Valida solo insieme a `--engine`. Richiede una sorgente specifica dal motore di dati all'avvio di `plasmaengineexplorer`.

`--interval tempo`

  Imposta il tempo di aggiornamento predefinito per le sorgenti richieste a `tempo` millisecondi. Se non è impostato, la sorgente verrà aggiornata a richiesta (per alcune sorgenti ciò avverrà quando saranno disponibili nuovi dati).

  Se è specificate l'opzione `source`, questo è l'intervallo di aggiornamento da usare quando si richiede la sorgente.

`-app applicazione`

  Mostra solo i motori associati all'applicazione genitore; si mappa sulla voce X-KDE-ParentApp del file .desktop del DataEngine.

## Vedi anche

Della documentazione per utenti più dettagliata è disponibile da help:/plasma-desktop (inserisci questo URL in &konqueror;, o esegui ``khelpcenter` `help:/plasma-desktop``).

## Esempi

Carica il motore di dati dell'ora, indicando l'ora locale e aggiornando ogni secondo:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autori

`plasmaengineexplorer` è stato scritto da Aaron Seigo aseigo@kde.org.